COMPOSE_PROJECT_NAME=joplinserver
COMPOSE_FILE=joplinserver.yaml
#COMPOSE_PROFILES
#COMPOSE_PROFILES=frontend,debug
COMPOSE_ENV_FILES=../env/.env.common #, ../env/joplinserver.env

##### SYSTEM
PUID=1000
PGID=1000
TZ=Europe/HelsinkI

#USERDIR=/home/gurulandia
DOCKERDIR=/gurulandia/data
SECRETSDIR=/gurulandia/docker-shared/secrets

##### ProxyName
PROXYNAME=proxy

##### Traefik Container
TRAEFIK_CONTAINER_NAME=traefik
TRAEFIK_IMAGE=traefik
TRAEFIK_VERSION=latest
TRAEFIK_RESTART_POLICY=unless-stopped

##### socket-proxy Container
SOCKET_PROXY_CONTAINER_NAME=socket-proxy
SOCKET_PROXY_IMAGE=ghcr.io/tecnativa/docker-socket-proxy
SOCKET_PROXY_VERSION=latest
SOCKET_PROXY_RESTART_POLICY=always

DOCKER_ENDPOINT=tcp://${SOCKET_PROXY_CONTAINER_NAME}:2375
